E-stim downloads

The software on this page is free of charge, but if you'd like to make a donation, please feel free. You can donate via the StimBroker website, after registering.

Remember that to use these apps, you'll need the 2B digital link cable to connect your computer or smart phone to the 2B power box, or a home-made bluetooth adaptor. If you're connecting over the internet to someone else's 2B, they'll obviously need the link cable at their end. Android users can plug the link cable into their phone or tablet using a USB-on-the-go (OTG) adaptor, also sometime called a USB Host adaptor, if your device supports it.

  • The Windows app should work on all version of Windows from 7 onwards.
  • The Mac version has been tested on OS X 10.6.8 and should work on later versions.
  • The Linux version requires an x86 processor and GTK+, or an ARMv7 processor (Raspberry Pi 2 & 3)
  • Android users will need to enable installation of software from other sources, via the security settings of their phone, before downloading the apk file from this site.

Windows, Mac and Linux apps just need to be unzipped, and then you can run them directly - there's no special installer. Remember you need to install the drivers for the digital link cable, even if you're not using E-Stim Systems Commander.

Make sure you have at least version 2.4.1

In August 2017, I released version 2.4.2 of each of these apps. Version 2.4.1 or above is required to use the new StimBroker service. Earlier versions of the apps will still work, but for remote connections, you'll have to figure out the setitngs yourself, and StimBroker won't work any more. Version 2.4.1 also includes a 'Check for updates' menu option, so you can make sure you have the latest version easily, and download it straight away. The new StimBroker service - unlike the previous version - uses secure encrypted communications, to help protect your privacy, which is why earlier versions are no longer compatible with it.

Version 2.4.2 of the desktop apps is required to work with 2B firmware 2.105 and above.

Version 2.4.6 of the desktop apps is required to work with 2B firmware 2.107.

Version 2.5.0 of the desktop apps is required for user to user chat via StimBroker

The Linux ARMv7 build is experimental. Please report any problems

If you installed a previous Android version, you may need to uninstall it before the version 2.4 will install. Note that this will remove any favourites you have saved on your device.

Download from these links

For a list of latest changes, please see this page.